using Connected.Utilities;
using System.Net;

namespace Connected.Components;

public partial class Layout : DrawerContainer
{
	protected virtual CssBuilder CompiledClassList
	{
		get
		{
			return new CssBuilder("layout")
			  .AddClass(base.ClassList);
		}
	}

	protected StyleBuilder CompiledStyleList
	{
		get
		{
			return new StyleBuilder()
				.AddStyle(base.StyleList);
			//.AddStyle("width", Width, !string.IsNullOrWhiteSpace(Width) && !Fixed)
			//.AddStyle("--mud-drawer-width", Width, !string.IsNullOrWhiteSpace(Width) && (!Fixed || Variant == DrawerVariant.Temporary))
			//.AddStyle("height", Height, !string.IsNullOrWhiteSpace(Height))
			//.AddStyle("--mud-drawer-content-height",string.IsNullOrWhiteSpace(Height) ? _height.ToPx() : Height,Anchor == Anchor.Bottom || Anchor == Anchor.Top)
			//.AddStyle("visibility", "hidden", string.IsNullOrWhiteSpace(Height) && _height == 0 && (Anchor == Anchor.Bottom || Anchor == Anchor.Top));

		}
	}

	public Layout()
	{
		Fixed = true;
	}
}
